const {defineConfig} = require('@vue/cli-service')
const CompressionPlugin = require("compression-webpack-plugin")

module.exports = defineConfig({
    transpileDependencies: true,
    chainWebpack: config => {
        config.plugin('compressPlugin')
            .use(new CompressionPlugin({
                test: /\.js$|\.html$|\.css/,
                threshold: 10240,
                deleteOriginalAssets: false
            }))
    }
})